Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentTerminalConnectionCapabilities

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentTerminalConnectionCapabilities

    public class AgentTerminalConnectionCapabilities

extends java.lang.Object

Java class for agentTerminalConnectionCapabilities complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentTerminalConnectionCapabilities">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="canAnswer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canBlindTransfer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canCompleteConference" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canCompleteTransfer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canEmergency" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canGenerateDTMF" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canHold" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canInitiateConference" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canInitiateTransfer" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canUnhold" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="canConsult" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentTerminalConnectionCapabilities()`

Method Summary
`boolean` | `isCanAnswer()` Gets the value of the canAnswer property.
`boolean` | `isCanBlindTransfer()` Gets the value of the canBlindTransfer property.
`boolean` | `isCanCompleteConference()` Gets the value of the canCompleteConference property.
`boolean` | `isCanCompleteTransfer()` Gets the value of the canCompleteTransfer property.
`boolean` | `isCanConsult()` Gets the value of the canConsult property.
`boolean` | `isCanEmergency()` Gets the value of the canEmergency property.
`boolean` | `isCanGenerateDTMF()` Gets the value of the canGenerateDTMF property.
`boolean` | `isCanHold()` Gets the value of the canHold property.
`boolean` | `isCanInitiateConference()` Gets the value of the canInitiateConference property.
`boolean` | `isCanInitiateTransfer()` Gets the value of the canInitiateTransfer property.
`boolean` | `isCanUnhold()` Gets the value of the canUnhold property.
`void` | `setCanAnswer(boolean value)` Sets the value of the canAnswer property.
`void` | `setCanBlindTransfer(boolean value)` Sets the value of the canBlindTransfer property.
`void` | `setCanCompleteConference(boolean value)` Sets the value of the canCompleteConference property.
`void` | `setCanCompleteTransfer(boolean value)` Sets the value of the canCompleteTransfer property.
`void` | `setCanConsult(boolean value)` Sets the value of the canConsult property.
`void` | `setCanEmergency(boolean value)` Sets the value of the canEmergency property.
`void` | `setCanGenerateDTMF(boolean value)` Sets the value of the canGenerateDTMF property.
`void` | `setCanHold(boolean value)` Sets the value of the canHold property.
`void` | `setCanInitiateConference(boolean value)` Sets the value of the canInitiateConference property.
`void` | `setCanInitiateTransfer(boolean value)` Sets the value of the canInitiateTransfer property.
`void` | `setCanUnhold(boolean value)` Sets the value of the canUnhold property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentTerminalConnectionCapabilities

    public AgentTerminalConnectionCapabilities()

Method Detail

### isCanAnswer

    public boolean isCanAnswer()

  Gets the value of the canAnswer property.

### setCanAnswer

    public void setCanAnswer(boolean value)

  Sets the value of the canAnswer property.

### isCanBlindTransfer

    public boolean isCanBlindTransfer()

  Gets the value of the canBlindTransfer property.

### setCanBlindTransfer

    public void setCanBlindTransfer(boolean value)

  Sets the value of the canBlindTransfer property.

### isCanCompleteConference

    public boolean isCanCompleteConference()

  Gets the value of the canCompleteConference property.

### setCanCompleteConference

    public void setCanCompleteConference(boolean value)

  Sets the value of the canCompleteConference property.

### isCanCompleteTransfer

    public boolean isCanCompleteTransfer()

  Gets the value of the canCompleteTransfer property.

### setCanCompleteTransfer

    public void setCanCompleteTransfer(boolean value)

  Sets the value of the canCompleteTransfer property.

### isCanEmergency

    public boolean isCanEmergency()

  Gets the value of the canEmergency property.

### setCanEmergency

    public void setCanEmergency(boolean value)

  Sets the value of the canEmergency property.

### isCanGenerateDTMF

    public boolean isCanGenerateDTMF()

  Gets the value of the canGenerateDTMF property.

### setCanGenerateDTMF

    public void setCanGenerateDTMF(boolean value)

  Sets the value of the canGenerateDTMF property.

### isCanHold

    public boolean isCanHold()

  Gets the value of the canHold property.

### setCanHold

    public void setCanHold(boolean value)

  Sets the value of the canHold property.

### isCanInitiateConference

    public boolean isCanInitiateConference()

  Gets the value of the canInitiateConference property.

### setCanInitiateConference

    public void setCanInitiateConference(boolean value)

  Sets the value of the canInitiateConference property.

### isCanInitiateTransfer

    public boolean isCanInitiateTransfer()

  Gets the value of the canInitiateTransfer property.

### setCanInitiateTransfer

    public void setCanInitiateTransfer(boolean value)

  Sets the value of the canInitiateTransfer property.

### isCanUnhold

    public boolean isCanUnhold()

  Gets the value of the canUnhold property.

### setCanUnhold

    public void setCanUnhold(boolean value)

  Sets the value of the canUnhold property.

### isCanConsult

    public boolean isCanConsult()

  Gets the value of the canConsult property.

### setCanConsult

    public void setCanConsult(boolean value)

  Sets the value of the canConsult property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.